cudaPitchedPtr
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaPitchedPtr

    java.lang.Object
      jcuda.runtime.cudaPitchedPtr

    public class cudaPitchedPtr

extends java.lang.Object

Java port of a cudaPitchedPtr

See Also:
  `JCuda.cudaMalloc3D(cudaPitchedPtr, cudaExtent)`, `JCuda.cudaMemcpy3D(cudaMemcpy3DParms)`, `JCuda.cudaMemset3D(cudaPitchedPtr, int, cudaExtent)`

Field Summary
`long` | `pitch` The pitch of the pointer, in bytes
`Pointer` | `ptr` Pointer to allocated memory.
`long` | `xsize` xsize and ysize, the logical width and height of the, are equivalent to the width and height extent parameters provided by the programmer during allocation
`long` | `ysize` xsize and ysize, the logical width and height of the, are equivalent to the width and height extent parameters provided by the programmer during allocation

Constructor Summary
`cudaPitchedPtr()` Creates a new, uninitialized cudaPitchedPtr

Method Summary
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ptr

    public Pointer ptr

  Pointer to allocated memory.

### pitch

    public long pitch

  The pitch of the pointer, in bytes

### xsize

    public long xsize

  xsize and ysize, the logical width and height of the, are equivalent to the width and height extent parameters provided by the programmer during allocation

### ysize

    public long ysize

  xsize and ysize, the logical width and height of the, are equivalent to the width and height extent parameters provided by the programmer during allocation

Constructor Detail

### cudaPitchedPtr

    public cudaPitchedPtr()

  Creates a new, uninitialized cudaPitchedPtr

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD